Altimax\Apidae\Core\Entity\SitraObjetEquipement:
  type: entity
  table: sitra_objet_equipement
  fields:
    denivellation:
      type: integer
      nullable: true
      unsigned: false
      comment: 'en metres - @deprecated'
    denivellationPositive:
      type: integer
      nullable: true
      unsigned: false
      comment: 'en metres'
      column: denivellation_positive
    denivellationNegative:
      type: integer
      nullable: true
      unsigned: false
      comment: 'en metres'
      column: denivellation_negative
    altitudeMoyenne:
      type: integer
      nullable: true
      unsigned: false
      comment: ''
      column: altitude_moyenne
    altitudeMaximum:
      type: integer
      nullable: true
      unsigned: false
      comment: ''
      column: altitude_maximum
    distance:
      type: float
      nullable: true
      precision: 10
      scale: 0
      comment: ''
    dureeItinerance:
      type: float
      nullable: true
      precision: 10
      scale: 0
      comment: ''
      column: duree_itinerance
    dureeJournaliere:
      type: string
      nullable: true
      length: 45
      fixed: false
      comment: ''
      column: duree_journaliere
    penteMoyenne:
      type: integer
      nullable: true
      length: 3
      fixed: false
      comment: 'en pourcent, entre 0 et 100'
      column: pente_moyenne
    referencesCartographiques:
      type: text
      nullable: true
      fixed: false
      comment: 'correspond aux informations pour retrouver l''itineraire sur des cartes'
      column: references_cartographiques
    referencesTopoguides:
      type: text
      nullable: true
      fixed: false
      comment: 'correspond aux informations pour retrouver l''itineraire dans les topoguides'
      column: references_topoguides
    passagesDelicats:
      type: text
      nullable: true
      comment: 'description des passages delicats de l''itineraire'
      fixed: false
      column: passages_delicats
    itineraireType:
      type: string
      nullable: true
      length: 50
      fixed: false
      comment: 'liste de choix – ALLER_ITINERANCE, ALLER_RETOUR ou BOUCLE'
      column: itineraire_type
    itineraireBalise:
      type: string
      nullable: true
      length: 50
      fixed: false
      comment: 'liste de choix – BALISE, NON_BALISE, NON_DISPONIBLE'
      column: itineraire_balise
    precisionsBalisage:
      type: text
      nullable: true
      fixed: false
      comment: 'Informations textuelles sur le balisage a suivre'
      column: precisions_balisage
  lifecycleCallbacks: {  }
